# Ogre::RenderQueueListener Class Reference

Abstract interface which classes must implement if they wish to receive events from the render queue. More...

`#include <OgreRenderQueueListener.h>`

List of all members.

## Public Member Functions

virtual void | renderQueueStarted (RenderQueueGroupID id, bool &skipThisQueue)=0
| Event raised before a queue group is rendered.
virtual void | renderQueueEnded (RenderQueueGroupID id, bool &repeatThisQueue)=0
| Event raised after a queue group is rendered.

## Detailed Description

Abstract interface which classes must implement if they wish to receive events from the render queue.

Remarks:
  The OGRE render queue is divided into several queue groups, as defined by RenderQueueGroupID. A class may implement this interface, and register itself as a listener by calling SceneManager::addRenderQueueListener. After doing so, the class will receive an event before and after each queue group is sent to the rendering system.

  The event listeners have an option to make a queue either be skipped, or to repeat. Note that if multiple listeners are registered, the one registered last has the final say, although options set by previous listeners will not be changed if the latest does not express a preference.

Definition at line 47 of file OgreRenderQueueListener.h.

## Member Function Documentation

virtual void Ogre::RenderQueueListener::renderQueueEnded | ( | RenderQueueGroupID | id,
|  | bool & | repeatThisQueue
| ) | `[pure virtual]`

Event raised after a queue group is rendered.

Remarks:
  This method is called by the SceneManager after each queue group is rendered.

Parameters:

  id | The id of the queue group which has just been rendered
  repeatThisQueue | A boolean passed by reference which is by default set to false. If the event sets this to true, the queue which has just been rendered will be repeated, and the renderQueueStarted and renderQueueEnded events will also be fired for it again.

virtual void Ogre::RenderQueueListener::renderQueueStarted | ( | RenderQueueGroupID | id,
|  | bool & | skipThisQueue
| ) | `[pure virtual]`

Event raised before a queue group is rendered.

Remarks:
  This method is called by the SceneManager before each queue group is rendered.

Parameters:

  id | The id of the queue group which is about to be rendered
  skipThisQueue | A boolean passed by reference which is by default set to false. If the event sets this to true, the queue will be skipped and not rendered. Note that in this case the renderQueueEnded event will not be raised for this queue group.

The documentation for this class was generated from the following file:

- OgreRenderQueueListener.h

Copyright © 2000-2005 by The OGRE Team
Last modified Sun Nov 20 12:38:37 2005